Jump to content
Froxlor Forum

llucps

Members
  • Posts

    74
  • Joined

  • Last visited

  • Days Won

    2

Everything posted by llucps

  1. One thing I noticed: /usr/bin/php-cgi says PHP 5.6.33-0+deb8u1 (cgi-fcgi) and /usr/bin/php says PHP 7.0.27-0+deb9u1 (cli) one cgi.-fcgi and the other cli.. could it be this small detail? All php packages installed: (dpkg -l) ii php-cli 1:7.0+49 all command-line interpreter for the PHP scripting language (default) ii php-common 1:49 all Common files for PHP packages ii php-pear 1:1.10.1+submodules+notgz- all PEAR Base System ii php-xml 1:7.0+49 all DOM, SimpleXML, WDDX, XML, and XSL module for PHP [default] ii php-xml-parser 1.3.4-7 all XML parsing class based on PHP's bundled expat ii php5 5.6.33+dfsg-0+deb8u1 all server-side, HTML-embedded scripting language (metapackage) ii php5-apcu 4.0.7-1 amd64 APC User Cache for PHP 5 ii php5-cgi 5.6.33+dfsg-0+deb8u1 amd64 server-side, HTML-embedded scripting language (CGI binary) ii php5-cli 5.6.33+dfsg-0+deb8u1 amd64 command-line interpreter for the php5 scripting language ii php5-common 5.6.33+dfsg-0+deb8u1 amd64 Common files for packages built from the php5 source ii php5-curl 5.6.33+dfsg-0+deb8u1 amd64 CURL module for php5 rc php5-fpm 5.4.4-14+deb7u8 amd64 server-side, HTML-embedded scripting language (FPM-CGI binary) ii php5-gd 5.6.33+dfsg-0+deb8u1 amd64 GD module for php5 rc php5-imagick 3.2.0~rc1-1 amd64 Provides a wrapper to the ImageMagick library ii php5-imap 5.6.33+dfsg-0+deb8u1 amd64 IMAP module for php5 ii php5-intl 5.6.33+dfsg-0+deb8u1 amd64 internationalisation module for php5 ii php5-json 1.3.6-1 amd64 JSON module for php5 rc php5-ldap 5.6.24+dfsg-0+deb8u1 amd64 LDAP module for php5 ii php5-mcrypt 5.6.33+dfsg-0+deb8u1 amd64 MCrypt module for php5 ii php5-mysql 5.6.33+dfsg-0+deb8u1 amd64 MySQL module for php5 ii php5-pgsql 5.6.33+dfsg-0+deb8u1 amd64 PostgreSQL module for php5 rc php5-pspell 5.6.30+dfsg-0+deb8u1 amd64 pspell module for php5 ii php5-readline 5.6.33+dfsg-0+deb8u1 amd64 Readline module for php5 ii php5-sqlite 5.6.33+dfsg-0+deb8u1 amd64 SQLite module for php5 rc php5-xmlrpc 5.6.30+dfsg-0+deb8u1 amd64 XML-RPC module for php5 ii php7.0-cli 7.0.27-0+deb9u1 amd64 command-line interpreter for the PHP scripting language ii php7.0-common 7.0.27-0+deb9u1 amd64 documentation, examples and common module for PHP ii php7.0-json 7.0.27-0+deb9u1 amd64 JSON module for PHP ii php7.0-opcache 7.0.27-0+deb9u1 amd64 Zend OpCache module for PHP ii php7.0-readline 7.0.27-0+deb9u1 amd64 readline module for PHP ii php7.0-xml 7.0.27-0+deb9u1 amd64 DOM, SimpleXML, WDDX, XML, and XSL module for PHP Regarding the log problem... I found this error runing /etc/init.d/postfix status.. I think this could be the problem Mar 23 11:07:47 xxxxxxxx.com systemd[1]: postfix.service: Failed to set invocation ID on control group /system.slice/postfix.service, ignoring: Operation not permitted
  2. There is plenty of disk space 52 GB.. It's strange I'll try to dig in a little more and google it. I have both versions installed 5.6 and 7.0 see my /usr/bin/php* lrwxrwxrwx 1 root root 21 Apr 4 2014 /usr/bin/php -> /etc/alternatives/php -rwxr-xr-x 1 root root 9089768 Jan 5 16:13 /usr/bin/php5 -rwxr-xr-x 1 root root 9059112 Jan 5 16:13 /usr/bin/php5-cgi -rwxr-xr-x 1 root root 4389936 Jan 5 14:51 /usr/bin/php7.0 lrwxrwxrwx 1 root root 25 Apr 4 2014 /usr/bin/php-cgi -> /etc/alternatives/php-cgi /usr/bin/php -v PHP 7.0.27-0+deb9u1 (cli) (built: Jan 5 2018 13:51:52) ( NTS ) Copyright (c) 1997-2017 The PHP Group Zend Engine v3.0.0, Copyright (c) 1998-2017 Zend Technologies with Zend OPcache v7.0.27-0+deb9u1, Copyright (c) 1999-2017, by Zend Technologies /usr/bin/php-cgi -v PHP 5.6.33-0+deb8u1 (cgi-fcgi) (built: Jan 5 2018 15:48:20) Copyright (c) 1997-2016 The PHP Group Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies I have two PHP configurations setup both with /usr/bin/php-cgi so PHP 5.6, all is working, but not if I change to PHP 7 PHP 7 Configuration: PHP Binary: /usr/bin/php File extensions: php Umask (default: 022): 022 allow_call_time_pass_reference = Off allow_url_fopen = On asp_tags = Off default_charset = UTF-8 disable_classes = disable_functions = curl_multi_exec,exec,parse_ini_file,passthru,popen,proc_close,proc_get_status,proc_nice,proc_open,proc_terminate,shell_exec,show_source,system display_errors = Off display_startup_errors = Off enable_dl = Off error_reporting = E_ALL & ~E_NOTICE expose_php = Off file_uploads = On cgi.force_redirect = 1 gpc_order = "GPC" html_errors = Off ignore_repeated_errors = Off ignore_repeated_source = Off include_path = ".:{PEAR_DIR}" log_errors = On log_errors_max_len = 1024 magic_quotes_gpc = Off magic_quotes_runtime = Off magic_quotes_sybase = Off max_execution_time = 30 max_input_time = 60 memory_limit = 72M {OPEN_BASEDIR_C}open_basedir = "{OPEN_BASEDIR}" output_buffering = 4096 post_max_size = 64M precision = 14 register_argc_argv = Off register_globals = Off report_memleaks = On sendmail_path = "/usr/sbin/sendmail -t -i -f {CUSTOMER_EMAIL}" session.auto_start = 0 session.bug_compat_42 = 0 session.bug_compat_warn = 1 session.cache_expire = 180 session.cache_limiter = nocache session.cookie_domain = session.cookie_lifetime = 0 session.cookie_path = / session.entropy_file = /dev/urandom session.entropy_length = 16 session.gc_divisor = 1000 session.gc_maxlifetime = 1440 session.gc_probability = 1 session.name = PHPSESSID session.referer_check = session.save_handler = files session.save_path = "{TMP_DIR}" session.serialize_handler = php session.use_cookies = 1 session.use_trans_sid = 0 short_open_tag = On suhosin.mail.protect = 1 suhosin.simulation = Off track_errors = Off upload_max_filesize = 64M upload_tmp_dir = "{TMP_DIR}" variables_order = "GPCS" opcache.restrict_api = "{DOCUMENT_ROOT}"
  3. Hi, I updated my server from Jessie to Stretch and the process was reasonably smooth with a few little problems, mainly with fail2ban and modescurity but I figured them out and fix them. The first little problem is after the update all the logs (apache2, fail2ban, postfix, dovecot, spamassassin etc) stopped recording in their related files (mail.log, apache2.log etc..) if I run journalctl -xe I see all the activity such as postfix, dovecot, apache2 etc..so all the services are working but they are not translated to /var/log/*.log I checked all settings in froxlor and they haven't changed after the update, all of them are pointing to the correct file, for example /var/log/mail.log for postfix and dovecot. I can't see any errors on journalctl -xe regarding this and I'm not sure where to look at. The other issue is regarding PHP, and that is after the update the system ended up with two PHP binaries 5.6 and 7.0, I wasn't sure whether it would install PHP 7 and delete PHP 5.6 or keep both versions. Anyway since I have the two versions installed and in PHP Configurations I'm still using version PHP 5.6 I decided to create a new configuration with PHP 7.0 to test with one of my domains and see whether was working or not, and unfortunately I get this error and obviously I get an Internal server error message if I go the the website for that domain. [Fri Mar 23 09:42:48.397550 2018] [fcgid:warn] [pid 2226] (104)Connection reset by peer: [client 85.56.93.162:38001] mod_fcgid: error reading data from FastCGI server [Fri Mar 23 09:42:48.397669 2018] [core:error] [pid 2226] [client 85.56.93.162:38001] End of script output before headers: index.php My PHP configuration is the following: System Linux xxxxxxxx.com 2.6.32-042stab127.2 #1 SMP Thu Jan 4 16:41:44 MSK 2018 x86_64 Build Date Jan 5 2018 15:48:20 Server API CGI/FastCGI Virtual Directory Support disabled Configuration File (php.ini) Path /etc/php5/cgi Loaded Configuration File /var/www/php-fcgi-scripts/froxlor.panel/xxxxxxxx.com/php.ini Scan this dir for additional .ini files /etc/php5/cgi/conf.d Additional .ini files parsed /etc/php5/cgi/conf.d/05-opcache.ini, /etc/php5/cgi/conf.d/10-pdo.ini, /etc/php5/cgi/conf.d/20-apcu.ini, /etc/php5/cgi/conf.d/20-curl.ini, /etc/php5/cgi/conf.d/20-gd.ini, /etc/php5/cgi/conf.d/20-imap.ini, /etc/php5/cgi/conf.d/20-intl.ini, /etc/php5/cgi/conf.d/20-json.ini, /etc/php5/cgi/conf.d/20-mcrypt.ini, /etc/php5/cgi/conf.d/20-mysql.ini, /etc/php5/cgi/conf.d/20-mysqli.ini, /etc/php5/cgi/conf.d/20-pdo_mysql.ini, /etc/php5/cgi/conf.d/20-pdo_pgsql.ini, /etc/php5/cgi/conf.d/20-pdo_sqlite.ini, /etc/php5/cgi/conf.d/20-pgsql.ini, /etc/php5/cgi/conf.d/20-readline.ini, /etc/php5/cgi/conf.d/20-sqlite3.ini PHP API 20131106 PHP Extension 20131226 Zend Extension 220131226 Zend Extension Build API220131226,NTS PHP Extension Build API20131226,NTS Debug Build no Thread Safety disabled Zend Signal Handling disabled Zend Memory Manager enabled Zend Multibyte Support provided by mbstring IPv6 Support enabled DTrace Support enabled Registered PHP Streams https, ftps, compress.zlib, compress.bzip2, php, file, glob, data, http, ftp, phar, zip Registered Stream Socket Transports tcp, udp, unix, udg, ssl, sslv3, tls, tlsv1.0, tlsv1.1, tlsv1.2 Registered Stream Filters zlib.*, bzip2.*, convert.iconv.*, string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, dechunk, mcrypt.*, mdecrypt.* See FCGID settings on file attached. I'm not quite sure what would be the best approach to transition to PHP 7, I guess first find out why is not working (it could be I need to install something else?) then decide whether to delete PHP 5.6 or keep it installed just in case. Any help will be appreciated! Thanks Lluc
  4. Hi, I see that stretch packages are available already . I'll update my server to stretch this weekend. Fingers crossed !! Thanks
  5. Hi d00p, I'll wait for the 0.9.x packages. But if I installed froxlor using Debian packages, can I update using the auto-update? or would it screw up my froxlor system? I'm just curious. Thanks.
×
×
  • Create New...